/* query.c generated by valac 0.34.4, the Vala compiler
 * generated from query.vala, do not modify */

/*
 * Copyright (C) 2010 Michal Hruby <michal.mhr@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by Michal Hruby <michal.mhr@gmail.com>
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <gee.h>


#define SYNAPSE_TYPE_QUERY_FLAGS (synapse_query_flags_get_type ())

#define SYNAPSE_TYPE_MATCHER_FLAGS (synapse_matcher_flags_get_type ())

#define SYNAPSE_TYPE_QUERY (synapse_query_get_type ())
typedef struct _SynapseQuery SynapseQuery;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

#define SYNAPSE_TYPE_MATCH_SCORE (synapse_match_score_get_type ())
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

typedef enum  {
	SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE = 1 << 0,
	SYNAPSE_QUERY_FLAGS_UNCATEGORIZED = 1 << 1,
	SYNAPSE_QUERY_FLAGS_APPLICATIONS = 1 << 2,
	SYNAPSE_QUERY_FLAGS_ACTIONS = 1 << 3,
	SYNAPSE_QUERY_FLAGS_AUDIO = 1 << 4,
	SYNAPSE_QUERY_FLAGS_VIDEO = 1 << 5,
	SYNAPSE_QUERY_FLAGS_DOCUMENTS = 1 << 6,
	SYNAPSE_QUERY_FLAGS_IMAGES = 1 << 7,
	SYNAPSE_QUERY_FLAGS_FILES = ((SYNAPSE_QUERY_FLAGS_AUDIO | SYNAPSE_QUERY_FLAGS_VIDEO) | SYNAPSE_QUERY_FLAGS_DOCUMENTS) | SYNAPSE_QUERY_FLAGS_IMAGES,
	SYNAPSE_QUERY_FLAGS_PLACES = 1 << 8,
	SYNAPSE_QUERY_FLAGS_INTERNET = 1 << 9,
	SYNAPSE_QUERY_FLAGS_TEXT = 1 << 10,
	SYNAPSE_QUERY_FLAGS_CONTACTS = 1 << 11,
	SYNAPSE_QUERY_FLAGS_ALL = 0xFFFFFFFFLL,
	SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT = SYNAPSE_QUERY_FLAGS_ALL ^ SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE
} SynapseQueryFlags;

typedef enum  {
	SYNAPSE_MATCHER_FLAGS_NO_REVERSED = 1 << 0,
	SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING = 1 << 1,
	SYNAPSE_MATCHER_FLAGS_NO_PARTIAL = 1 << 2,
	SYNAPSE_MATCHER_FLAGS_NO_FUZZY = 1 << 3
} SynapseMatcherFlags;

struct _SynapseQuery {
	gchar* query_string;
	gchar* query_string_folded;
	GCancellable* cancellable;
	SynapseQueryFlags query_type;
	guint max_results;
	guint query_id;
};

typedef enum  {
	SYNAPSE_SEARCH_ERROR_SEARCH_CANCELLED,
	SYNAPSE_SEARCH_ERROR_UNKNOWN_ERROR
} SynapseSearchError;
#define SYNAPSE_SEARCH_ERROR synapse_search_error_quark ()
typedef enum  {
	SYNAPSE_MATCH_SCORE_INCREMENT_MINOR = 2000,
	SYNAPSE_MATCH_SCORE_INCREMENT_SMALL = 5000,
	SYNAPSE_MATCH_SCORE_INCREMENT_MEDIUM = 10000,
	SYNAPSE_MATCH_SCORE_INCREMENT_LARGE = 20000,
	SYNAPSE_MATCH_SCORE_URI_PENALTY = 15000,
	SYNAPSE_MATCH_SCORE_POOR = 50000,
	SYNAPSE_MATCH_SCORE_BELOW_AVERAGE = 60000,
	SYNAPSE_MATCH_SCORE_AVERAGE = 70000,
	SYNAPSE_MATCH_SCORE_ABOVE_AVERAGE = 75000,
	SYNAPSE_MATCH_SCORE_GOOD = 80000,
	SYNAPSE_MATCH_SCORE_VERY_GOOD = 85000,
	SYNAPSE_MATCH_SCORE_EXCELLENT = 90000,
	SYNAPSE_MATCH_SCORE_HIGHEST = 100000
} SynapseMatchScore;



GType synapse_query_flags_get_type (void) G_GNUC_CONST;
GType synapse_matcher_flags_get_type (void) G_GNUC_CONST;
GType synapse_query_get_type (void) G_GNUC_CONST;
SynapseQuery* synapse_query_dup (const SynapseQuery* self);
void synapse_query_free (SynapseQuery* self);
void synapse_query_copy (const SynapseQuery* self, SynapseQuery* dest);
void synapse_query_destroy (SynapseQuery* self);
void synapse_query_init (SynapseQuery *self, guint query_id, const gchar* query, SynapseQueryFlags flags, guint num_results);
gboolean synapse_query_is_cancelled (SynapseQuery *self);
GQuark synapse_search_error_quark (void);
void synapse_query_check_cancellable (SynapseQuery *self, GError** error);
GeeList* synapse_query_get_matchers_for_query (const gchar* query, SynapseMatcherFlags match_flags, GRegexCompileFlags flags);
GType synapse_match_score_get_type (void) G_GNUC_CONST;
static void _vala_array_add6 (gchar*** array, int* length, int* size, gchar* value);
static void _vala_array_add7 (gchar*** array, int* length, int* size, gchar* value);
static gint __lambda5_ (GeeMapEntry* a, GeeMapEntry* b);
static gint ___lambda5__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


GType synapse_query_flags_get_type (void) {
	static volatile gsize synapse_query_flags_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_query_flags_type_id__volatile)) {
		static const GFlagsValue values[] = {{SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE, "SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE", "include-remote"}, {SYNAPSE_QUERY_FLAGS_UNCATEGORIZED, "SYNAPSE_QUERY_FLAGS_UNCATEGORIZED", "uncategorized"}, {SYNAPSE_QUERY_FLAGS_APPLICATIONS, "SYNAPSE_QUERY_FLAGS_APPLICATIONS", "applications"}, {SYNAPSE_QUERY_FLAGS_ACTIONS, "SYNAPSE_QUERY_FLAGS_ACTIONS", "actions"}, {SYNAPSE_QUERY_FLAGS_AUDIO, "SYNAPSE_QUERY_FLAGS_AUDIO", "audio"}, {SYNAPSE_QUERY_FLAGS_VIDEO, "SYNAPSE_QUERY_FLAGS_VIDEO", "video"}, {SYNAPSE_QUERY_FLAGS_DOCUMENTS, "SYNAPSE_QUERY_FLAGS_DOCUMENTS", "documents"}, {SYNAPSE_QUERY_FLAGS_IMAGES, "SYNAPSE_QUERY_FLAGS_IMAGES", "images"}, {SYNAPSE_QUERY_FLAGS_FILES, "SYNAPSE_QUERY_FLAGS_FILES", "files"}, {SYNAPSE_QUERY_FLAGS_PLACES, "SYNAPSE_QUERY_FLAGS_PLACES", "places"}, {SYNAPSE_QUERY_FLAGS_INTERNET, "SYNAPSE_QUERY_FLAGS_INTERNET", "internet"}, {SYNAPSE_QUERY_FLAGS_TEXT, "SYNAPSE_QUERY_FLAGS_TEXT", "text"}, {SYNAPSE_QUERY_FLAGS_CONTACTS, "SYNAPSE_QUERY_FLAGS_CONTACTS", "contacts"}, {SYNAPSE_QUERY_FLAGS_ALL, "SYNAPSE_QUERY_FLAGS_ALL", "all"}, {SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT, "SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT", "local-content"}, {0, NULL, NULL}};
		GType synapse_query_flags_type_id;
		synapse_query_flags_type_id = g_flags_register_static ("SynapseQueryFlags", values);
		g_once_init_leave (&synapse_query_flags_type_id__volatile, synapse_query_flags_type_id);
	}
	return synapse_query_flags_type_id__volatile;
}


GType synapse_matcher_flags_get_type (void) {
	static volatile gsize synapse_matcher_flags_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_matcher_flags_type_id__volatile)) {
		static const GFlagsValue values[] = {{SYNAPSE_MATCHER_FLAGS_NO_REVERSED, "SYNAPSE_MATCHER_FLAGS_NO_REVERSED", "no-reversed"}, {SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING, "SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING", "no-substring"}, {SYNAPSE_MATCHER_FLAGS_NO_PARTIAL, "SYNAPSE_MATCHER_FLAGS_NO_PARTIAL", "no-partial"}, {SYNAPSE_MATCHER_FLAGS_NO_FUZZY, "SYNAPSE_MATCHER_FLAGS_NO_FUZZY", "no-fuzzy"}, {0, NULL, NULL}};
		GType synapse_matcher_flags_type_id;
		synapse_matcher_flags_type_id = g_flags_register_static ("SynapseMatcherFlags", values);
		g_once_init_leave (&synapse_matcher_flags_type_id__volatile, synapse_matcher_flags_type_id);
	}
	return synapse_matcher_flags_type_id__volatile;
}


void synapse_query_init (SynapseQuery *self, guint query_id, const gchar* query, SynapseQueryFlags flags, guint num_results) {
	guint _tmp0_ = 0U;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	SynapseQueryFlags _tmp5_ = 0;
	guint _tmp6_ = 0U;
#line 95 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	g_return_if_fail (query != NULL);
#line 95 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	memset (self, 0, sizeof (SynapseQuery));
#line 100 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp0_ = query_id;
#line 100 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*self).query_id = _tmp0_;
#line 101 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp1_ = query;
#line 101 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 101 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_free0 ((*self).query_string);
#line 101 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*self).query_string = _tmp2_;
#line 102 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp3_ = query;
#line 102 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp4_ = g_utf8_casefold (_tmp3_, (gssize) -1);
#line 102 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_free0 ((*self).query_string_folded);
#line 102 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*self).query_string_folded = _tmp4_;
#line 103 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp5_ = flags;
#line 103 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*self).query_type = _tmp5_;
#line 104 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp6_ = num_results;
#line 104 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*self).max_results = _tmp6_;
#line 189 "query.c"
}


gboolean synapse_query_is_cancelled (SynapseQuery *self) {
	gboolean result = FALSE;
	GCancellable* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 109 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp0_ = (*self).cancellable;
#line 109 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp1_ = g_cancellable_is_cancelled (_tmp0_);
#line 109 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	result = _tmp1_;
#line 109 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	return result;
#line 205 "query.c"
}


void synapse_query_check_cancellable (SynapseQuery *self, GError** error) {
	GCancellable* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 114 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp0_ = (*self).cancellable;
#line 114 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp1_ = g_cancellable_is_cancelled (_tmp0_);
#line 114 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (_tmp1_) {
#line 219 "query.c"
		GError* _tmp2_ = NULL;
#line 116 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp2_ = g_error_new_literal (SYNAPSE_SEARCH_ERROR, SYNAPSE_SEARCH_ERROR_SEARCH_CANCELLED, "Cancelled");
#line 116 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_inner_error_ = _tmp2_;
#line 116 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		if (_inner_error_->domain == SYNAPSE_SEARCH_ERROR) {
#line 116 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_propagate_error (error, _inner_error_);
#line 116 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			return;
#line 231 "query.c"
		} else {
#line 116 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 116 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 116 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			return;
#line 239 "query.c"
		}
	}
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 264 "query.c"
}


static void _vala_array_add6 (gchar*** array, int* length, int* size, gchar* value) {
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if ((*length) == (*size)) {
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 275 "query.c"
	}
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*array)[(*length)++] = value;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*array)[*length] = NULL;
#line 281 "query.c"
}


static gchar* _vala_g_strjoinv (const gchar* separator, gchar** str_array, int str_array_length1) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gchar** _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
#line 1054 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = separator;
#line 1054 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp0_ == NULL) {
#line 1055 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		separator = "";
#line 298 "query.c"
	}
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3_ = str_array;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3__length1 = str_array_length1;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp3_ != NULL) {
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = TRUE;
#line 308 "query.c"
	} else {
		gchar** _tmp4_ = NULL;
		gint _tmp4__length1 = 0;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = str_array;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4__length1 = str_array_length1;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp4__length1 > 0;
#line 318 "query.c"
	}
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp2_) {
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 324 "query.c"
	} else {
		gboolean _tmp5_ = FALSE;
		gchar** _tmp6_ = NULL;
		gint _tmp6__length1 = 0;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = str_array;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6__length1 = str_array_length1;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (_tmp6__length1 == -1) {
#line 335 "query.c"
			gchar** _tmp7_ = NULL;
			gint _tmp7__length1 = 0;
			const gchar* _tmp8_ = NULL;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_tmp7_ = str_array;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_tmp7__length1 = str_array_length1;
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_tmp8_ = _tmp7_[0];
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_tmp5_ = _tmp8_ != NULL;
#line 347 "query.c"
		} else {
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_tmp5_ = FALSE;
#line 351 "query.c"
		}
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = _tmp5_;
#line 355 "query.c"
	}
#line 1057 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 359 "query.c"
		gint i = 0;
		gsize len = 0UL;
		gint _tmp31_ = 0;
		gint _tmp33_ = 0;
		gint _tmp34_ = 0;
		gsize _tmp35_ = 0UL;
		const gchar* _tmp36_ = NULL;
		gint _tmp37_ = 0;
		gint _tmp38_ = 0;
		gint _tmp39_ = 0;
		const gchar* res = NULL;
		gsize _tmp40_ = 0UL;
		void* _tmp41_ = NULL;
		void* ptr = NULL;
		const gchar* _tmp42_ = NULL;
		gchar** _tmp43_ = NULL;
		gint _tmp43__length1 = 0;
		const gchar* _tmp44_ = NULL;
		void* _tmp45_ = NULL;
		const gchar* _tmp62_ = NULL;
#line 1059 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		len = (gsize) 1;
#line 382 "query.c"
		{
			gboolean _tmp9_ = FALSE;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			i = 0;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_tmp9_ = TRUE;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			while (TRUE) {
#line 391 "query.c"
				gboolean _tmp11_ = FALSE;
				gboolean _tmp12_ = FALSE;
				gchar** _tmp13_ = NULL;
				gint _tmp13__length1 = 0;
				gint _tmp21_ = 0;
				gchar** _tmp22_ = NULL;
				gint _tmp22__length1 = 0;
				gint _tmp23_ = 0;
				const gchar* _tmp24_ = NULL;
				gsize _tmp30_ = 0UL;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				if (!_tmp9_) {
#line 404 "query.c"
					gint _tmp10_ = 0;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp10_ = i;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					i = _tmp10_ + 1;
#line 410 "query.c"
				}
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp9_ = FALSE;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp13_ = str_array;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp13__length1 = str_array_length1;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				if (_tmp13__length1 != -1) {
#line 420 "query.c"
					gint _tmp14_ = 0;
					gchar** _tmp15_ = NULL;
					gint _tmp15__length1 = 0;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp14_ = i;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp15_ = str_array;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp15__length1 = str_array_length1;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp12_ = _tmp14_ < _tmp15__length1;
#line 432 "query.c"
				} else {
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp12_ = FALSE;
#line 436 "query.c"
				}
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				if (_tmp12_) {
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp11_ = TRUE;
#line 442 "query.c"
				} else {
					gboolean _tmp16_ = FALSE;
					gchar** _tmp17_ = NULL;
					gint _tmp17__length1 = 0;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp17_ = str_array;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp17__length1 = str_array_length1;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					if (_tmp17__length1 == -1) {
#line 453 "query.c"
						gchar** _tmp18_ = NULL;
						gint _tmp18__length1 = 0;
						gint _tmp19_ = 0;
						const gchar* _tmp20_ = NULL;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
						_tmp18_ = str_array;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
						_tmp18__length1 = str_array_length1;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
						_tmp19_ = i;
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
						_tmp20_ = _tmp18_[_tmp19_];
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
						_tmp16_ = _tmp20_ != NULL;
#line 468 "query.c"
					} else {
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
						_tmp16_ = FALSE;
#line 472 "query.c"
					}
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp11_ = _tmp16_;
#line 476 "query.c"
				}
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				if (!_tmp11_) {
#line 1060 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					break;
#line 482 "query.c"
				}
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp22_ = str_array;
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp22__length1 = str_array_length1;
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp23_ = i;
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp24_ = _tmp22_[_tmp23_];
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				if (_tmp24_ != NULL) {
#line 494 "query.c"
					gchar** _tmp25_ = NULL;
					gint _tmp25__length1 = 0;
					gint _tmp26_ = 0;
					const gchar* _tmp27_ = NULL;
					gint _tmp28_ = 0;
					gint _tmp29_ = 0;
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp25_ = str_array;
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp25__length1 = str_array_length1;
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp26_ = i;
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp27_ = _tmp25_[_tmp26_];
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp28_ = strlen ((const gchar*) _tmp27_);
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp29_ = _tmp28_;
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp21_ = _tmp29_;
#line 515 "query.c"
				} else {
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp21_ = 0;
#line 519 "query.c"
				}
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp30_ = len;
#line 1061 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				len = _tmp30_ + _tmp21_;
#line 525 "query.c"
			}
		}
#line 1063 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp31_ = i;
#line 1063 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (_tmp31_ == 0) {
#line 532 "query.c"
			gchar* _tmp32_ = NULL;
#line 1064 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_tmp32_ = g_strdup ("");
#line 1064 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			result = _tmp32_;
#line 1064 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return result;
#line 540 "query.c"
		}
#line 1066 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp33_ = i;
#line 1066 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		str_array_length1 = _tmp33_;
#line 1066 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp34_ = str_array_length1;
#line 1067 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp35_ = len;
#line 1067 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp36_ = separator;
#line 1067 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp37_ = strlen ((const gchar*) _tmp36_);
#line 1067 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp38_ = _tmp37_;
#line 1067 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp39_ = i;
#line 1067 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		len = _tmp35_ + (_tmp38_ * (_tmp39_ - 1));
#line 1069 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp40_ = len;
#line 1069 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp41_ = g_malloc (_tmp40_);
#line 1069 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		res = _tmp41_;
#line 1070 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp42_ = res;
#line 1070 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp43_ = str_array;
#line 1070 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp43__length1 = str_array_length1;
#line 1070 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp44_ = _tmp43_[0];
#line 1070 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp45_ = g_stpcpy ((void*) _tmp42_, (const gchar*) _tmp44_);
#line 1070 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		ptr = _tmp45_;
#line 578 "query.c"
		{
			gboolean _tmp46_ = FALSE;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			i = 1;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_tmp46_ = TRUE;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			while (TRUE) {
#line 587 "query.c"
				gint _tmp48_ = 0;
				gchar** _tmp49_ = NULL;
				gint _tmp49__length1 = 0;
				void* _tmp50_ = NULL;
				const gchar* _tmp51_ = NULL;
				void* _tmp52_ = NULL;
				const gchar* _tmp53_ = NULL;
				gchar** _tmp54_ = NULL;
				gint _tmp54__length1 = 0;
				gint _tmp55_ = 0;
				const gchar* _tmp56_ = NULL;
				void* _tmp60_ = NULL;
				void* _tmp61_ = NULL;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				if (!_tmp46_) {
#line 603 "query.c"
					gint _tmp47_ = 0;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp47_ = i;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					i = _tmp47_ + 1;
#line 609 "query.c"
				}
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp46_ = FALSE;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp48_ = i;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp49_ = str_array;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp49__length1 = str_array_length1;
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				if (!(_tmp48_ < _tmp49__length1)) {
#line 1071 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					break;
#line 623 "query.c"
				}
#line 1072 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp50_ = ptr;
#line 1072 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp51_ = separator;
#line 1072 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp52_ = g_stpcpy (_tmp50_, (const gchar*) _tmp51_);
#line 1072 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				ptr = _tmp52_;
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp54_ = str_array;
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp54__length1 = str_array_length1;
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp55_ = i;
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp56_ = _tmp54_[_tmp55_];
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				if (_tmp56_ != NULL) {
#line 643 "query.c"
					gchar** _tmp57_ = NULL;
					gint _tmp57__length1 = 0;
					gint _tmp58_ = 0;
					const gchar* _tmp59_ = NULL;
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp57_ = str_array;
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp57__length1 = str_array_length1;
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp58_ = i;
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp59_ = _tmp57_[_tmp58_];
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp53_ = (const gchar*) _tmp59_;
#line 658 "query.c"
				} else {
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
					_tmp53_ = "";
#line 662 "query.c"
				}
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp60_ = ptr;
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				_tmp61_ = g_stpcpy (_tmp60_, _tmp53_);
#line 1073 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
				ptr = _tmp61_;
#line 670 "query.c"
			}
		}
#line 1076 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp62_ = res;
#line 1076 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		res = NULL;
#line 1076 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = (gchar*) _tmp62_;
#line 1076 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 681 "query.c"
	} else {
		gchar* _tmp63_ = NULL;
#line 1078 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp63_ = g_strdup ("");
#line 1078 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp63_;
#line 1078 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 690 "query.c"
	}
}


static void _vala_array_add7 (gchar*** array, int* length, int* size, gchar* value) {
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if ((*length) == (*size)) {
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 702 "query.c"
	}
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*array)[(*length)++] = value;
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*array)[*length] = NULL;
#line 708 "query.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 285 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	return self ? g_object_ref (self) : NULL;
#line 715 "query.c"
}


static gint __lambda5_ (GeeMapEntry* a, GeeMapEntry* b) {
	gint result = 0;
	GeeMapEntry* e1 = NULL;
	GeeMapEntry* _tmp0_ = NULL;
	GeeMapEntry* e2 = NULL;
	GeeMapEntry* _tmp1_ = NULL;
	gconstpointer _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gconstpointer _tmp4_ = NULL;
	gint _tmp5_ = 0;
#line 287 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 287 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 288 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp0_ = a;
#line 288 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	e1 = G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GEE_MAP_TYPE_ENTRY, GeeMapEntry);
#line 289 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp1_ = b;
#line 289 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	e2 = G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, GEE_MAP_TYPE_ENTRY, GeeMapEntry);
#line 290 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp2_ = gee_map_entry_get_value (e2);
#line 290 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp3_ = _tmp2_;
#line 290 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp4_ = gee_map_entry_get_value (e1);
#line 290 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp5_ = _tmp4_;
#line 290 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	result = ((gint) ((gintptr) _tmp3_)) - ((gint) ((gintptr) _tmp5_));
#line 290 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	return result;
#line 753 "query.c"
}


static gint ___lambda5__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = __lambda5_ ((GeeMapEntry*) a, (GeeMapEntry*) b);
#line 287 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	return result;
#line 762 "query.c"
}


GeeList* synapse_query_get_matchers_for_query (const gchar* query, SynapseMatcherFlags match_flags, GRegexCompileFlags flags) {
	GeeList* result = NULL;
	GeeHashMap* results = NULL;
	GeeHashMap* _tmp0_ = NULL;
	gchar* stripped_query = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* escaped_query = NULL;
	gchar* _tmp3_ = NULL;
	GRegex* re = NULL;
	gchar** individual_words = NULL;
	gchar** _tmp28_ = NULL;
	gchar** _tmp29_ = NULL;
	gint individual_words_length1 = 0;
	gint _individual_words_size_ = 0;
	gchar** _tmp30_ = NULL;
	gint _tmp30__length1 = 0;
	SynapseMatcherFlags _tmp87_ = 0;
	gchar** individual_chars = NULL;
	const gchar* _tmp96_ = NULL;
	gchar** _tmp97_ = NULL;
	gchar** _tmp98_ = NULL;
	gint individual_chars_length1 = 0;
	gint _individual_chars_size_ = 0;
	gchar** escaped_chars = NULL;
	gchar** _tmp99_ = NULL;
	gint escaped_chars_length1 = 0;
	gint _escaped_chars_size_ = 0;
	gchar** _tmp100_ = NULL;
	gint _tmp100__length1 = 0;
	gboolean _tmp104_ = FALSE;
	gboolean _tmp105_ = FALSE;
	SynapseMatcherFlags _tmp106_ = 0;
	gboolean _tmp120_ = FALSE;
	SynapseMatcherFlags _tmp121_ = 0;
	GeeArrayList* sorted_results = NULL;
	GeeArrayList* _tmp134_ = NULL;
	GeeSet* entries = NULL;
	GeeSet* _tmp135_ = NULL;
	GeeSet* _tmp136_ = NULL;
	GeeSet* _tmp137_ = NULL;
	GError * _inner_error_ = NULL;
#line 120 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	g_return_val_if_fail (query != NULL, NULL);
#line 138 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_REGEX, (GBoxedCopyFunc) g_regex_ref, g_regex_unref, G_TYPE_INT, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 138 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	results = _tmp0_;
#line 139 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp1_ = query;
#line 139 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp2_ = string_strip (_tmp1_);
#line 139 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	stripped_query = _tmp2_;
#line 140 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp3_ = g_regex_escape_string (stripped_query, -1);
#line 140 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	escaped_query = _tmp3_;
#line 824 "query.c"
	{
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		GRegexCompileFlags _tmp7_ = 0;
		GRegex* _tmp8_ = NULL;
		GRegex* _tmp9_ = NULL;
		GRegex* _tmp10_ = NULL;
		GRegex* _tmp11_ = NULL;
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp5_ = g_strdup_printf ("^(%s)$", escaped_query);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp6_ = _tmp5_;
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp7_ = flags;
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp8_ = g_regex_new (_tmp6_, _tmp7_, 0, &_inner_error_);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp9_ = _tmp8_;
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (_tmp6_);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp4_ = _tmp9_;
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 852 "query.c"
				goto __catch19_g_regex_error;
			}
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (escaped_query);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (stripped_query);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_object_unref0 (results);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			return NULL;
#line 869 "query.c"
		}
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp10_ = _tmp4_;
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp4_ = NULL;
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_regex_unref0 (re);
#line 145 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		re = _tmp10_;
#line 146 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp11_ = re;
#line 146 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp11_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_HIGHEST)));
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_regex_unref0 (_tmp4_);
#line 885 "query.c"
	}
	goto __finally19;
	__catch19_g_regex_error:
	{
		GError* err = NULL;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		err = _inner_error_;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_inner_error_ = NULL;
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_error_free0 (err);
#line 897 "query.c"
	}
	__finally19:
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_regex_unref0 (re);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (escaped_query);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (stripped_query);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_object_unref0 (results);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		g_clear_error (&_inner_error_);
#line 143 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		return NULL;
#line 916 "query.c"
	}
	{
		GRegex* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		GRegexCompileFlags _tmp15_ = 0;
		GRegex* _tmp16_ = NULL;
		GRegex* _tmp17_ = NULL;
		GRegex* _tmp18_ = NULL;
		GRegex* _tmp19_ = NULL;
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp13_ = g_strdup_printf ("^(%s)", escaped_query);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp14_ = _tmp13_;
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp15_ = flags;
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp16_ = g_regex_new (_tmp14_, _tmp15_, 0, &_inner_error_);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp17_ = _tmp16_;
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (_tmp14_);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp12_ = _tmp17_;
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 945 "query.c"
				goto __catch20_g_regex_error;
			}
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (escaped_query);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (stripped_query);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_object_unref0 (results);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			return NULL;
#line 962 "query.c"
		}
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp18_ = _tmp12_;
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp12_ = NULL;
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_regex_unref0 (re);
#line 154 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		re = _tmp18_;
#line 155 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp19_ = re;
#line 155 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp19_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_EXCELLENT)));
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_regex_unref0 (_tmp12_);
#line 978 "query.c"
	}
	goto __finally20;
	__catch20_g_regex_error:
	{
		GError* err = NULL;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		err = _inner_error_;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_inner_error_ = NULL;
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_error_free0 (err);
#line 990 "query.c"
	}
	__finally20:
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_regex_unref0 (re);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (escaped_query);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (stripped_query);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_object_unref0 (results);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		g_clear_error (&_inner_error_);
#line 152 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		return NULL;
#line 1009 "query.c"
	}
	{
		GRegex* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		GRegexCompileFlags _tmp23_ = 0;
		GRegex* _tmp24_ = NULL;
		GRegex* _tmp25_ = NULL;
		GRegex* _tmp26_ = NULL;
		GRegex* _tmp27_ = NULL;
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp21_ = g_strdup_printf ("\\b(%s)", escaped_query);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp22_ = _tmp21_;
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp23_ = flags;
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp24_ = g_regex_new (_tmp22_, _tmp23_, 0, &_inner_error_);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp25_ = _tmp24_;
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (_tmp22_);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp20_ = _tmp25_;
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1038 "query.c"
				goto __catch21_g_regex_error;
			}
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (escaped_query);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (stripped_query);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_object_unref0 (results);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			return NULL;
#line 1055 "query.c"
		}
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp26_ = _tmp20_;
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp20_ = NULL;
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_regex_unref0 (re);
#line 163 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		re = _tmp26_;
#line 164 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp27_ = re;
#line 164 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp27_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_VERY_GOOD)));
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_regex_unref0 (_tmp20_);
#line 1071 "query.c"
	}
	goto __finally21;
	__catch21_g_regex_error:
	{
		GError* err = NULL;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		err = _inner_error_;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_inner_error_ = NULL;
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_error_free0 (err);
#line 1083 "query.c"
	}
	__finally21:
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_regex_unref0 (re);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (escaped_query);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (stripped_query);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_object_unref0 (results);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		g_clear_error (&_inner_error_);
#line 161 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		return NULL;
#line 1102 "query.c"
	}
#line 171 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp29_ = _tmp28_ = g_regex_split_simple ("\\s+", stripped_query, 0, 0);
#line 171 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	individual_words = _tmp29_;
#line 171 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	individual_words_length1 = _vala_array_length (_tmp28_);
#line 171 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_individual_words_size_ = individual_words_length1;
#line 172 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp30_ = individual_words;
#line 172 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp30__length1 = individual_words_length1;
#line 172 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (_tmp30__length1 >= 2) {
#line 1118 "query.c"
		gchar** escaped_words = NULL;
		gchar** _tmp31_ = NULL;
		gint escaped_words_length1 = 0;
		gint _escaped_words_size_ = 0;
		gchar** _tmp32_ = NULL;
		gint _tmp32__length1 = 0;
		gchar* pattern = NULL;
		gchar** _tmp36_ = NULL;
		gint _tmp36__length1 = 0;
		gchar* _tmp37_ = NULL;
		gchar* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		SynapseMatcherFlags _tmp47_ = 0;
#line 174 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp31_ = g_new0 (gchar*, 0 + 1);
#line 174 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		escaped_words = _tmp31_;
#line 174 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		escaped_words_length1 = 0;
#line 174 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_escaped_words_size_ = escaped_words_length1;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp32_ = individual_words;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp32__length1 = individual_words_length1;
#line 1145 "query.c"
		{
			gchar** word_collection = NULL;
			gint word_collection_length1 = 0;
			gint _word_collection_size_ = 0;
			gint word_it = 0;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			word_collection = _tmp32_;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			word_collection_length1 = _tmp32__length1;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			for (word_it = 0; word_it < _tmp32__length1; word_it = word_it + 1) {
#line 1157 "query.c"
				const gchar* word = NULL;
#line 175 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				word = word_collection[word_it];
#line 1161 "query.c"
				{
					gchar** _tmp33_ = NULL;
					gint _tmp33__length1 = 0;
					const gchar* _tmp34_ = NULL;
					gchar* _tmp35_ = NULL;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp33_ = escaped_words;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp33__length1 = escaped_words_length1;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp34_ = word;
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp35_ = g_regex_escape_string (_tmp34_, -1);
#line 177 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_vala_array_add6 (&escaped_words, &escaped_words_length1, &_escaped_words_size_, _tmp35_);
#line 1177 "query.c"
				}
			}
		}
#line 179 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp36_ = escaped_words;
#line 179 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp36__length1 = escaped_words_length1;
#line 179 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp37_ = _vala_g_strjoinv (").+\\b(", _tmp36_, _tmp36__length1);
#line 179 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp38_ = _tmp37_;
#line 179 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp39_ = g_strdup_printf ("\\b(%s)", _tmp38_);
#line 179 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp40_ = _tmp39_;
#line 179 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (_tmp38_);
#line 179 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		pattern = _tmp40_;
#line 1197 "query.c"
		{
			GRegex* _tmp41_ = NULL;
			const gchar* _tmp42_ = NULL;
			GRegexCompileFlags _tmp43_ = 0;
			GRegex* _tmp44_ = NULL;
			GRegex* _tmp45_ = NULL;
			GRegex* _tmp46_ = NULL;
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp42_ = pattern;
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp43_ = flags;
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp44_ = g_regex_new (_tmp42_, _tmp43_, 0, &_inner_error_);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp41_ = _tmp44_;
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1217 "query.c"
					goto __catch22_g_regex_error;
				}
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (pattern);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_regex_unref0 (re);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (escaped_query);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (stripped_query);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_object_unref0 (results);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				return NULL;
#line 1240 "query.c"
			}
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp45_ = _tmp41_;
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp41_ = NULL;
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 184 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			re = _tmp45_;
#line 185 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp46_ = re;
#line 185 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp46_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_GOOD)));
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (_tmp41_);
#line 1256 "query.c"
		}
		goto __finally22;
		__catch22_g_regex_error:
		{
			GError* err = NULL;
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			err = _inner_error_;
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_inner_error_ = NULL;
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_error_free0 (err);
#line 1268 "query.c"
		}
		__finally22:
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (pattern);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (escaped_query);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (stripped_query);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_object_unref0 (results);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 182 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			return NULL;
#line 1293 "query.c"
		}
#line 192 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp47_ = match_flags;
#line 192 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		if (!((_tmp47_ & SYNAPSE_MATCHER_FLAGS_NO_REVERSED) == SYNAPSE_MATCHER_FLAGS_NO_REVERSED)) {
#line 1299 "query.c"
			gchar** _tmp48_ = NULL;
			gint _tmp48__length1 = 0;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp48_ = escaped_words;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp48__length1 = escaped_words_length1;
#line 194 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			if (_tmp48__length1 == 2) {
#line 1308 "query.c"
				gchar* reversed = NULL;
				gchar** _tmp49_ = NULL;
				gint _tmp49__length1 = 0;
				const gchar* _tmp50_ = NULL;
				gchar** _tmp51_ = NULL;
				gint _tmp51__length1 = 0;
				const gchar* _tmp52_ = NULL;
				gchar* _tmp53_ = NULL;
				gchar* _tmp54_ = NULL;
				gchar* _tmp55_ = NULL;
				gchar* _tmp56_ = NULL;
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp49_ = escaped_words;
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp49__length1 = escaped_words_length1;
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp50_ = _tmp49_[1];
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp51_ = escaped_words;
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp51__length1 = escaped_words_length1;
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp52_ = _tmp51_[0];
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp53_ = g_strjoin (").+\\b(", _tmp50_, _tmp52_, NULL, NULL);
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp54_ = _tmp53_;
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp55_ = g_strdup_printf ("\\b(%s)", _tmp54_);
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp56_ = _tmp55_;
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (_tmp54_);
#line 196 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				reversed = _tmp56_;
#line 1344 "query.c"
				{
					GRegex* _tmp57_ = NULL;
					const gchar* _tmp58_ = NULL;
					GRegexCompileFlags _tmp59_ = 0;
					GRegex* _tmp60_ = NULL;
					GRegex* _tmp61_ = NULL;
					GRegex* _tmp62_ = NULL;
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp58_ = reversed;
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp59_ = flags;
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp60_ = g_regex_new (_tmp58_, _tmp59_, 0, &_inner_error_);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp57_ = _tmp60_;
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1364 "query.c"
							goto __catch23_g_regex_error;
						}
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_free0 (reversed);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_free0 (pattern);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_regex_unref0 (re);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_free0 (escaped_query);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_free0 (stripped_query);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_object_unref0 (results);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						g_clear_error (&_inner_error_);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						return NULL;
#line 1389 "query.c"
					}
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp61_ = _tmp57_;
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp57_ = NULL;
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_regex_unref0 (re);
#line 202 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					re = _tmp61_;
#line 203 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp62_ = re;
#line 203 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					gee_abstract_map_set ((GeeAbstractMap*) results, _tmp62_, (gpointer) ((gintptr) ((gint) (SYNAPSE_MATCH_SCORE_GOOD - SYNAPSE_MATCH_SCORE_INCREMENT_MINOR))));
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_regex_unref0 (_tmp57_);
#line 1405 "query.c"
				}
				goto __finally23;
				__catch23_g_regex_error:
				{
					GError* err = NULL;
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					err = _inner_error_;
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_inner_error_ = NULL;
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_error_free0 (err);
#line 1417 "query.c"
				}
				__finally23:
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_free0 (reversed);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_free0 (pattern);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_regex_unref0 (re);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_free0 (escaped_query);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_free0 (stripped_query);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_object_unref0 (results);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					g_clear_error (&_inner_error_);
#line 200 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					return NULL;
#line 1444 "query.c"
				}
#line 194 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (reversed);
#line 1448 "query.c"
			} else {
				gchar* orred = NULL;
				gchar** _tmp63_ = NULL;
				gint _tmp63__length1 = 0;
				gchar* _tmp64_ = NULL;
				gchar* _tmp65_ = NULL;
				gchar* _tmp66_ = NULL;
				gchar* _tmp67_ = NULL;
				gchar* any_order = NULL;
				gchar* _tmp68_ = NULL;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp63_ = escaped_words;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp63__length1 = escaped_words_length1;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp64_ = _vala_g_strjoinv (")|(?:", _tmp63_, _tmp63__length1);
#line 212 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp65_ = _tmp64_;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp66_ = g_strdup_printf ("\\b((?:%s))", _tmp65_);
#line 212 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp67_ = _tmp66_;
#line 212 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (_tmp65_);
#line 212 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				orred = _tmp67_;
#line 213 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp68_ = g_strdup ("");
#line 213 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				any_order = _tmp68_;
#line 1479 "query.c"
				{
					gint i = 0;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					i = 0;
#line 1484 "query.c"
					{
						gboolean _tmp69_ = FALSE;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_tmp69_ = TRUE;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						while (TRUE) {
#line 1491 "query.c"
							gint _tmp71_ = 0;
							gchar** _tmp72_ = NULL;
							gint _tmp72__length1 = 0;
							gboolean is_last = FALSE;
							gint _tmp73_ = 0;
							gchar** _tmp74_ = NULL;
							gint _tmp74__length1 = 0;
							const gchar* _tmp75_ = NULL;
							const gchar* _tmp76_ = NULL;
							gchar* _tmp77_ = NULL;
							gboolean _tmp78_ = FALSE;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							if (!_tmp69_) {
#line 1505 "query.c"
								gint _tmp70_ = 0;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
								_tmp70_ = i;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
								i = _tmp70_ + 1;
#line 1511 "query.c"
							}
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp69_ = FALSE;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp71_ = i;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp72_ = escaped_words;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp72__length1 = escaped_words_length1;
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							if (!(_tmp71_ < _tmp72__length1)) {
#line 214 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
								break;
#line 1525 "query.c"
							}
#line 216 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp73_ = i;
#line 216 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp74_ = escaped_words;
#line 216 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp74__length1 = escaped_words_length1;
#line 216 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							is_last = _tmp73_ == (_tmp74__length1 - 1);
#line 217 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp75_ = any_order;
#line 217 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp76_ = orred;
#line 217 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp77_ = g_strconcat (_tmp75_, _tmp76_, NULL);
#line 217 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_g_free0 (any_order);
#line 217 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							any_order = _tmp77_;
#line 218 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							_tmp78_ = is_last;
#line 218 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
							if (!_tmp78_) {
#line 1549 "query.c"
								const gchar* _tmp79_ = NULL;
								gchar* _tmp80_ = NULL;
#line 218 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
								_tmp79_ = any_order;
#line 218 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
								_tmp80_ = g_strconcat (_tmp79_, ".+", NULL);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
								_g_free0 (any_order);
#line 218 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
								any_order = _tmp80_;
#line 1560 "query.c"
							}
						}
					}
				}
				{
					GRegex* _tmp81_ = NULL;
					const gchar* _tmp82_ = NULL;
					GRegexCompileFlags _tmp83_ = 0;
					GRegex* _tmp84_ = NULL;
					GRegex* _tmp85_ = NULL;
					GRegex* _tmp86_ = NULL;
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp82_ = any_order;
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp83_ = flags;
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp84_ = g_regex_new (_tmp82_, _tmp83_, 0, &_inner_error_);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp81_ = _tmp84_;
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1584 "query.c"
							goto __catch24_g_regex_error;
						}
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_free0 (any_order);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_free0 (orred);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_free0 (pattern);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_regex_unref0 (re);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_free0 (escaped_query);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_free0 (stripped_query);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						_g_object_unref0 (results);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						g_clear_error (&_inner_error_);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
						return NULL;
#line 1611 "query.c"
					}
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp85_ = _tmp81_;
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp81_ = NULL;
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_regex_unref0 (re);
#line 222 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					re = _tmp85_;
#line 223 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_tmp86_ = re;
#line 223 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					gee_abstract_map_set ((GeeAbstractMap*) results, _tmp86_, (gpointer) ((gintptr) ((gint) (SYNAPSE_MATCH_SCORE_AVERAGE + SYNAPSE_MATCH_SCORE_INCREMENT_MINOR))));
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_regex_unref0 (_tmp81_);
#line 1627 "query.c"
				}
				goto __finally24;
				__catch24_g_regex_error:
				{
					GError* err = NULL;
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					err = _inner_error_;
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_inner_error_ = NULL;
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_error_free0 (err);
#line 1639 "query.c"
				}
				__finally24:
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_free0 (any_order);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_free0 (orred);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_free0 (pattern);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_regex_unref0 (re);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_free0 (escaped_query);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_free0 (stripped_query);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					_g_object_unref0 (results);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					g_clear_error (&_inner_error_);
#line 220 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
					return NULL;
#line 1668 "query.c"
				}
#line 194 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (any_order);
#line 194 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (orred);
#line 1674 "query.c"
			}
		}
#line 172 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (pattern);
#line 172 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 1681 "query.c"
	}
#line 232 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp87_ = match_flags;
#line 232 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (!((_tmp87_ & SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING) == SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING)) {
#line 1687 "query.c"
		{
			GRegex* _tmp88_ = NULL;
			gchar* _tmp89_ = NULL;
			gchar* _tmp90_ = NULL;
			GRegexCompileFlags _tmp91_ = 0;
			GRegex* _tmp92_ = NULL;
			GRegex* _tmp93_ = NULL;
			GRegex* _tmp94_ = NULL;
			GRegex* _tmp95_ = NULL;
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp89_ = g_strdup_printf ("(%s)", escaped_query);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp90_ = _tmp89_;
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp91_ = flags;
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp92_ = g_regex_new (_tmp90_, _tmp91_, 0, &_inner_error_);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp93_ = _tmp92_;
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (_tmp90_);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp88_ = _tmp93_;
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1715 "query.c"
					goto __catch25_g_regex_error;
				}
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_regex_unref0 (re);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (escaped_query);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (stripped_query);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_object_unref0 (results);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				return NULL;
#line 1734 "query.c"
			}
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp94_ = _tmp88_;
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp88_ = NULL;
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 236 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			re = _tmp94_;
#line 237 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp95_ = re;
#line 237 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp95_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_BELOW_AVERAGE)));
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (_tmp88_);
#line 1750 "query.c"
		}
		goto __finally25;
		__catch25_g_regex_error:
		{
			GError* err = NULL;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			err = _inner_error_;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_inner_error_ = NULL;
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_error_free0 (err);
#line 1762 "query.c"
		}
		__finally25:
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (escaped_query);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (stripped_query);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_object_unref0 (results);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 234 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			return NULL;
#line 1783 "query.c"
		}
	}
#line 245 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp96_ = query;
#line 245 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp98_ = _tmp97_ = g_regex_split_simple ("\\s*", _tmp96_, 0, 0);
#line 245 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	individual_chars = _tmp98_;
#line 245 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	individual_chars_length1 = _vala_array_length (_tmp97_);
#line 245 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_individual_chars_size_ = individual_chars_length1;
#line 246 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp99_ = g_new0 (gchar*, 0 + 1);
#line 246 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	escaped_chars = _tmp99_;
#line 246 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	escaped_chars_length1 = 0;
#line 246 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_escaped_chars_size_ = escaped_chars_length1;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp100_ = individual_chars;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp100__length1 = individual_chars_length1;
#line 1808 "query.c"
	{
		gchar** word_collection = NULL;
		gint word_collection_length1 = 0;
		gint _word_collection_size_ = 0;
		gint word_it = 0;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		word_collection = _tmp100_;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		word_collection_length1 = _tmp100__length1;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		for (word_it = 0; word_it < _tmp100__length1; word_it = word_it + 1) {
#line 1820 "query.c"
			const gchar* word = NULL;
#line 247 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			word = word_collection[word_it];
#line 1824 "query.c"
			{
				gchar** _tmp101_ = NULL;
				gint _tmp101__length1 = 0;
				const gchar* _tmp102_ = NULL;
				gchar* _tmp103_ = NULL;
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp101_ = escaped_chars;
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp101__length1 = escaped_chars_length1;
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp102_ = word;
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_tmp103_ = g_regex_escape_string (_tmp102_, -1);
#line 249 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_vala_array_add7 (&escaped_chars, &escaped_chars_length1, &_escaped_chars_size_, _tmp103_);
#line 1840 "query.c"
			}
		}
	}
#line 253 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp106_ = match_flags;
#line 253 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (!((_tmp106_ & SYNAPSE_MATCHER_FLAGS_NO_PARTIAL) == SYNAPSE_MATCHER_FLAGS_NO_PARTIAL)) {
#line 1848 "query.c"
		gchar** _tmp107_ = NULL;
		gint _tmp107__length1 = 0;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp107_ = individual_words;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp107__length1 = individual_words_length1;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp105_ = _tmp107__length1 == 1;
#line 1857 "query.c"
	} else {
#line 253 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp105_ = FALSE;
#line 1861 "query.c"
	}
#line 253 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (_tmp105_) {
#line 1865 "query.c"
		gchar** _tmp108_ = NULL;
		gint _tmp108__length1 = 0;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp108_ = individual_chars;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp108__length1 = individual_chars_length1;
#line 254 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp104_ = _tmp108__length1 <= 5;
#line 1874 "query.c"
	} else {
#line 253 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp104_ = FALSE;
#line 1878 "query.c"
	}
#line 253 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (_tmp104_) {
#line 1882 "query.c"
		gchar* pattern = NULL;
		gchar** _tmp109_ = NULL;
		gint _tmp109__length1 = 0;
		gchar* _tmp110_ = NULL;
		gchar* _tmp111_ = NULL;
		gchar* _tmp112_ = NULL;
		gchar* _tmp113_ = NULL;
#line 256 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp109_ = escaped_chars;
#line 256 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp109__length1 = escaped_chars_length1;
#line 256 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp110_ = _vala_g_strjoinv (").+\\b(", _tmp109_, _tmp109__length1);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp111_ = _tmp110_;
#line 256 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp112_ = g_strdup_printf ("\\b(%s)", _tmp111_);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp113_ = _tmp112_;
#line 256 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (_tmp111_);
#line 256 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		pattern = _tmp113_;
#line 1906 "query.c"
		{
			GRegex* _tmp114_ = NULL;
			const gchar* _tmp115_ = NULL;
			GRegexCompileFlags _tmp116_ = 0;
			GRegex* _tmp117_ = NULL;
			GRegex* _tmp118_ = NULL;
			GRegex* _tmp119_ = NULL;
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp115_ = pattern;
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp116_ = flags;
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp117_ = g_regex_new (_tmp115_, _tmp116_, 0, &_inner_error_);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp114_ = _tmp117_;
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1926 "query.c"
					goto __catch26_g_regex_error;
				}
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (pattern);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_regex_unref0 (re);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (escaped_query);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (stripped_query);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_object_unref0 (results);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				return NULL;
#line 1951 "query.c"
			}
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp118_ = _tmp114_;
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp114_ = NULL;
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 260 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			re = _tmp118_;
#line 261 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp119_ = re;
#line 261 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp119_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_ABOVE_AVERAGE)));
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (_tmp114_);
#line 1967 "query.c"
		}
		goto __finally26;
		__catch26_g_regex_error:
		{
			GError* err = NULL;
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			err = _inner_error_;
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_inner_error_ = NULL;
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_error_free0 (err);
#line 1979 "query.c"
		}
		__finally26:
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (pattern);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (escaped_query);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (stripped_query);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_object_unref0 (results);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 258 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			return NULL;
#line 2006 "query.c"
		}
#line 253 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (pattern);
#line 2010 "query.c"
	}
#line 268 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp121_ = match_flags;
#line 268 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (!((_tmp121_ & SYNAPSE_MATCHER_FLAGS_NO_FUZZY) == SYNAPSE_MATCHER_FLAGS_NO_FUZZY)) {
#line 2016 "query.c"
		gchar** _tmp122_ = NULL;
		gint _tmp122__length1 = 0;
#line 268 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp122_ = escaped_chars;
#line 268 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp122__length1 = escaped_chars_length1;
#line 268 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp120_ = _tmp122__length1 > 0;
#line 2025 "query.c"
	} else {
#line 268 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp120_ = FALSE;
#line 2029 "query.c"
	}
#line 268 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	if (_tmp120_) {
#line 2033 "query.c"
		gchar* pattern = NULL;
		gchar** _tmp123_ = NULL;
		gint _tmp123__length1 = 0;
		gchar* _tmp124_ = NULL;
		gchar* _tmp125_ = NULL;
		gchar* _tmp126_ = NULL;
		gchar* _tmp127_ = NULL;
#line 270 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp123_ = escaped_chars;
#line 270 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp123__length1 = escaped_chars_length1;
#line 270 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp124_ = _vala_g_strjoinv (").*(", _tmp123_, _tmp123__length1);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp125_ = _tmp124_;
#line 270 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp126_ = g_strdup_printf ("\\b(%s)", _tmp125_);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_tmp127_ = _tmp126_;
#line 270 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (_tmp125_);
#line 270 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		pattern = _tmp127_;
#line 2057 "query.c"
		{
			GRegex* _tmp128_ = NULL;
			const gchar* _tmp129_ = NULL;
			GRegexCompileFlags _tmp130_ = 0;
			GRegex* _tmp131_ = NULL;
			GRegex* _tmp132_ = NULL;
			GRegex* _tmp133_ = NULL;
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp129_ = pattern;
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp130_ = flags;
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp131_ = g_regex_new (_tmp129_, _tmp130_, 0, &_inner_error_);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp128_ = _tmp131_;
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2077 "query.c"
					goto __catch27_g_regex_error;
				}
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (pattern);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_regex_unref0 (re);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (escaped_query);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_free0 (stripped_query);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				_g_object_unref0 (results);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				g_clear_error (&_inner_error_);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
				return NULL;
#line 2102 "query.c"
			}
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp132_ = _tmp128_;
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp128_ = NULL;
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 274 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			re = _tmp132_;
#line 275 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_tmp133_ = re;
#line 275 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp133_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_POOR)));
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (_tmp128_);
#line 2118 "query.c"
		}
		goto __finally27;
		__catch27_g_regex_error:
		{
			GError* err = NULL;
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			err = _inner_error_;
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_inner_error_ = NULL;
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_error_free0 (err);
#line 2130 "query.c"
		}
		__finally27:
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (pattern);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_regex_unref0 (re);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (escaped_query);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_free0 (stripped_query);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			_g_object_unref0 (results);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			g_clear_error (&_inner_error_);
#line 272 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
			return NULL;
#line 2157 "query.c"
		}
#line 268 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
		_g_free0 (pattern);
#line 2161 "query.c"
	}
#line 282 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp134_ = gee_array_list_new (GEE_MAP_TYPE_ENTRY, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 282 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	sorted_results = _tmp134_;
#line 283 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp135_ = gee_abstract_map_get_entries ((GeeMap*) results);
#line 283 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp136_ = _tmp135_;
#line 283 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	entries = _tmp136_;
#line 285 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp137_ = _g_object_ref0 (entries);
#line 285 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	g_object_set_data_full ((GObject*) sorted_results, "entries-ref", _tmp137_, g_object_unref);
#line 286 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	gee_array_list_add_all (sorted_results, (GeeCollection*) entries);
#line 287 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	gee_list_sort ((GeeList*) sorted_results, ___lambda5__gcompare_data_func, NULL, NULL);
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	result = (GeeList*) sorted_results;
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_object_unref0 (entries);
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_regex_unref0 (re);
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_free0 (escaped_query);
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_free0 (stripped_query);
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_object_unref0 (results);
#line 293 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	return result;
#line 2201 "query.c"
}


void synapse_query_copy (const SynapseQuery* self, SynapseQuery* dest) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GCancellable* _tmp4_ = NULL;
	GCancellable* _tmp5_ = NULL;
	SynapseQueryFlags _tmp6_ = 0;
	guint _tmp7_ = 0U;
	guint _tmp8_ = 0U;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp0_ = (*self).query_string;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_free0 ((*dest).query_string);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*dest).query_string = _tmp1_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp2_ = (*self).query_string_folded;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_free0 ((*dest).query_string_folded);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*dest).query_string_folded = _tmp3_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp4_ = (*self).cancellable;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_object_unref0 ((*dest).cancellable);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*dest).cancellable = _tmp5_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp6_ = (*self).query_type;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*dest).query_type = _tmp6_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp7_ = (*self).max_results;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*dest).max_results = _tmp7_;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_tmp8_ = (*self).query_id;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	(*dest).query_id = _tmp8_;
#line 2251 "query.c"
}


void synapse_query_destroy (SynapseQuery* self) {
#line 88 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_free0 ((*self).query_string);
#line 89 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_free0 ((*self).query_string_folded);
#line 90 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	_g_object_unref0 ((*self).cancellable);
#line 2262 "query.c"
}


SynapseQuery* synapse_query_dup (const SynapseQuery* self) {
	SynapseQuery* dup;
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	dup = g_new0 (SynapseQuery, 1);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	synapse_query_copy (self, dup);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	return dup;
#line 2274 "query.c"
}


void synapse_query_free (SynapseQuery* self) {
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	synapse_query_destroy (self);
#line 86 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/query.vala"
	g_free (self);
#line 2283 "query.c"
}


GType synapse_query_get_type (void) {
	static volatile gsize synapse_query_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_query_type_id__volatile)) {
		GType synapse_query_type_id;
		synapse_query_type_id = g_boxed_type_register_static ("SynapseQuery", (GBoxedCopyFunc) synapse_query_dup, (GBoxedFreeFunc) synapse_query_free);
		g_once_init_leave (&synapse_query_type_id__volatile, synapse_query_type_id);
	}
	return synapse_query_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
	if ((array != NULL) && (destroy_func != NULL)) {
#line 2301 "query.c"
		int i;
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
			if (((gpointer*) array)[i] != NULL) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
				destroy_func (((gpointer*) array)[i]);
#line 2309 "query.c"
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
	_vala_array_destroy (array, array_length, destroy_func);
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
	g_free (array);
#line 2321 "query.c"
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
	if (array) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
		while (((gpointer*) array)[length]) {
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
			length++;
#line 2334 "query.c"
		}
	}
#line 239 "/builddir/build/BUILD/synapse-0.2.99.2/src/core/data-sink.vala"
	return length;
#line 2339 "query.c"
}



